# Class TOsrBrowserWindow

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOsrBrowserWindow

## Declaration

`type TOsrBrowserWindow = class(TBufferPanel)`

## Description

TOsrBrowserWindow - Off-Screen-Rendering

A simple "drop on the Form" component for an full embedded browser.

See notes an TBrowserWindow for requirements in user code. Further: - Some keystrokes may not be sent to KeyDown/KeyPress by the LCL. They may be available as WM_SYSKEYDOWN/UP message on the containing Form.

This component is still experimental. - On MacOS Keyboard support is not complete

## Hierarchy

- TCustomPanel
- TBufferPanel
- TOsrBrowserWindow

## Overview

### Methods

| `function GetChromium: TEmbeddedOsrChromium;`
| `function getModifiers(Shift: TShiftState): TCefEventFlags;`
| `function getKeyModifiers(Shift: TShiftState): TCefEventFlags;`
| `function GetButton(Button: TMouseButton): TCefMouseButtonType;`
| `procedure DestroyHandle; override;`
| `procedure RealizeBounds; override;`
| `procedure DoEnter; override;`
| `procedure DoExit; override;`
| `procedure Click; override;`
| `procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;`
| `procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;`
| `procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;`
| `procedure MouseEnter; override;`
| `procedure MouseLeave; override;`
| `function DoMouseWheel(Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint): Boolean; override;`
| `procedure KeyDown(var Key: Word; Shift: TShiftState); override;`
| `procedure UTF8KeyPress(var UTF8Key: TUTF8Char); override;`
| `procedure KeyUp(var Key: Word; Shift: TShiftState); override;`
| `procedure DoOnIMECancelComposition; override;`
| `procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); override;`
| `procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); override;`
| `procedure CaptureChanged; override;`
| `procedure DoOnCreated(Sender: TObject);`
| `procedure DoOnClosed(Sender: TObject);`
| `constructor Create(AOwner: TComponent); override;`
| `destructor Destroy; override;`
| `procedure CreateHandle; override;`
| `procedure CloseBrowser(aForceClose: boolean);`
| `procedure WaitForBrowserClosed;`
| `function IsClosed: boolean;`
| `procedure LoadURL(aURL: ustring);`

### Properties

| `property Chromium : TEmbeddedOsrChromium read GetChromium;`
| `property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;`
| `property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;`
| `property OnMouseDown: TBrowserMouseEvent read FOnMouseDown write FOnMouseDown;`
| `property OnMouseUp: TBrowserMouseEvent read FOnMouseUp write FOnMouseUp;`
| `property OnMouseMove: TBrowserMouseMoveEvent read FOnMouseMove write FOnMouseMove;`
| `property OnMouseWheel: TBrowserMouseWheelEvent read FOnMouseWheel write FOnMouseWheel;`
| `property OnKeyDown: TBrowserKeyEvent read FOnKeyDown write FOnKeyDown;`
| `property OnKeyUp: TBrowserKeyEvent read FOnKeyUp write FOnKeyUp;`
| `property OnUtf8KeyPress: TBrowserUTF8KeyPressEvent read FOnUtf8KeyPress write FOnUtf8KeyPress;`

## Description

### Methods

| `function GetChromium: TEmbeddedOsrChromium;`
This item has no description.

| `function getModifiers(Shift: TShiftState): TCefEventFlags;`
This item has no description.

| `function getKeyModifiers(Shift: TShiftState): TCefEventFlags;`
This item has no description.

| `function GetButton(Button: TMouseButton): TCefMouseButtonType;`
This item has no description.

| `procedure DestroyHandle; override;`
This item has no description.

| `procedure RealizeBounds; override;`
This item has no description.

| `procedure DoEnter; override;`
This item has no description.

| `procedure DoExit; override;`
This item has no description.

| `procedure Click; override;`
This item has no description.

| `procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;`
This item has no description.

| `procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;`
This item has no description.

| `procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;`
This item has no description.

| `procedure MouseEnter; override;`
This item has no description.

| `procedure MouseLeave; override;`
This item has no description.

| `function DoMouseWheel(Shift: TShiftState; WheelDelta: Integer; MousePos: TPoint): Boolean; override;`
This item has no description.

| `procedure KeyDown(var Key: Word; Shift: TShiftState); override;`
Key input works only for windows.

| `procedure UTF8KeyPress(var UTF8Key: TUTF8Char); override;`
This item has no description.

| `procedure KeyUp(var Key: Word; Shift: TShiftState); override;`
This item has no description.

| `procedure DoOnIMECancelComposition; override;`
This item has no description.

| `procedure DoOnIMECommitText(const aText : ustring; const replacement_range : PCefRange; relative_cursor_pos : integer); override;`
This item has no description.

| `procedure DoOnIMESetComposition(const aText : ustring; const underlines : TCefCompositionUnderlineDynArray; const replacement_range, selection_range : TCefRange); override;`
This item has no description.

| `procedure CaptureChanged; override;`
This item has no description.

| `procedure DoOnCreated(Sender: TObject);`
This item has no description.

| `procedure DoOnClosed(Sender: TObject);`
This item has no description.

| `constructor Create(AOwner: TComponent); override;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure CreateHandle; override;`
This item has no description.

| `procedure CloseBrowser(aForceClose: boolean);`
This item has no description.

| `procedure WaitForBrowserClosed;`
This item has no description.

| `function IsClosed: boolean;`
This item has no description.

| `procedure LoadURL(aURL: ustring);`
This item has no description.

### Properties

| `property Chromium : TEmbeddedOsrChromium read GetChromium;`
This item has no description.

| `property OnBrowserCreated : TNotifyEvent read FOnBrowserCreated write FOnBrowserCreated;`
This item has no description.

| `property OnBrowserClosed : TNotifyEvent read FOnBrowserClosed write FOnBrowserClosed;`
This item has no description.

| `property OnMouseDown: TBrowserMouseEvent read FOnMouseDown write FOnMouseDown;`
Mouse/Key events The below events can be used to see mouse/key input before it is sent to CEF. All events have a "AHandled" parameter, which can be used to prevent the event from being sent to CEF.

| `property OnMouseUp: TBrowserMouseEvent read FOnMouseUp write FOnMouseUp;`
This item has no description.

| `property OnMouseMove: TBrowserMouseMoveEvent read FOnMouseMove write FOnMouseMove;`
This item has no description.

| `property OnMouseWheel: TBrowserMouseWheelEvent read FOnMouseWheel write FOnMouseWheel;`
This item has no description.

| `property OnKeyDown: TBrowserKeyEvent read FOnKeyDown write FOnKeyDown;`
This item has no description.

| `property OnKeyUp: TBrowserKeyEvent read FOnKeyUp write FOnKeyUp;`
This item has no description.

| `property OnUtf8KeyPress: TBrowserUTF8KeyPressEvent read FOnUtf8KeyPress write FOnUtf8KeyPress;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.